FROM node:20-bookworm

RUN apt-get update && apt-get install -y --no-install-recommends \
    curl zip unzip ca-certificates docker.io rsync openssh-client \
    zlib1g wget python3 python3-pip make build-essential \
    mariadb-client xz-utils

RUN update-ca-certificates

RUN curl -fsSL https://bun.sh/install | bash -s "bun-v1.2.0"
ENV PATH="/root/.bun/bin:${PATH}"

COPY ./entrypoint.sh /usr/local/bin/entrypoint.sh
RUN chmod +x /usr/local/bin/entrypoint.sh

ENTRYPOINT ["entrypoint.sh"]
